 <!DOCTYPE html>
<html lang="en">
	<head>
		<title>Video call demo</title>
		<meta charset="UTF-8" />
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script src="/socket.io/socket.io.js"></script>
		<link rel="stylesheet" href="//netdna.bootstrapcdn.com/bootstrap/3.0.0-rc1/css/bootstrap.min.css" />
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
		<link rel="stylesheet" href="style.css">
		<script>
			(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
			(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
			m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
			})(window,document,'script','https://www.google-analytics.com/analytics.js','ga'); ga('create', 'UA-98700445-1', 'auto'); ga('send', 'pageview');
		</script>
		<script language="javascript" type="text/javascript">
			window.onload = function() {
				document.getElementById('room').onkeypress = function(e) {
					doClick(e);
				};
				document.getElementById('user').onkeypress = function(e) {
					doClick(e);
				};
			};
			function doClick(e)
			{
				var ev = e || window.event;
				var key = ev.keyCode;

				if (key == 13)
				{
					createRoom_onclick()
				}
			}
			function createRoom_onclick() 
			{
				var userName = document.getElementById( "user" ).value || "guest" + guid();
				var roomName = document.getElementById( "room" ).value || "room" + guid();
				var relLink;
				relLink = "/" + roomName + "#" + userName;
				window.location = relLink;
			}
			function s4() {
				return Math.floor((1 + Math.random()) * 0x10000)
						.toString(16)
						.substring(1);
			};

			function guid() {
				return s4() + s4();
			}
		</script>
	</head>
	<body>
		<div class="navbar navbar-inverse navbar-fixed-top">
			<ul class="nav navbar-nav">
				<li><a href="/">Home</a></li>
			</ul>
		</div>
		<section>
			<div id="content">
				<div id="title">Welcome to video call demo</div>
			<br></br>
			<input type="text" id="user" class="form-control" placeholder="Type your name here">
			<input type="text" id="room" class="form-control" placeholder="Wanna name your room?">
			<button class="btn btn-large btn-success" type="button" onclick="createRoom_onclick()" >Meet!</button>
			</div>
		</section>
	</body>
</html>
